Create and queue a Continuous Integration run

Version 4.0.26.4 (latest)

Creates and queues a Continuous Integration Run.

Request

POST /projects/{project_id}/continuous_integration/runs
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
project_id
string
Project Id
body
HTTP Body
Expand HTTP Body definition...
body
Options for creating a Continuous Integration run
Expand CreateContinuousIntegrationRunRequest definition...
suite_id
string
The suite ID.
branch
string
The git branch to use. Required for dev workspace. Omit to test production.
commit
string
Commit that the CI run should validate. Omit to test production.
query
HTTP Query
Expand HTTP Query definition...
fields
string
Requested fields

Response

200: Continuous Integration run info

Datatype
Description
(object)
can
object
Operations the current user is able to perform on this object
id
string
Public ID of the CI run
ci_suite_id
string
ID of the CI suite
project_id
string
ID of the project
status
string
Status of the CI run
title
string
Title of the CI run
trigger_type
string
Trigger type of the CI run
user_id
integer
ID of the user that triggered the CI run
triggered_by_name
string
Name of user that triggered the CI run
execution_id
string
Execution ID of the CI run
result
Results of the CI run
Expand CIRunResult definition...
sql_result
Results of the SQL validation
Expand CISqlValidatorResult definition...
name
string
Name of the validator (sql)
incremental
boolean
Whether the validation was incremental
status
string
Status of the validation (unknown, failed, passed, skipped, errored, cancelled, queued, running)
sql_error
Errors that occurred when attempting SQL validation
Expand CIGenericError definition...
type
string
A URI reference that identifies the problem type
title
string
Overview of the error
detail
string
Detail of the error
status
string
The HTTP status code for the problem
instance
string
URI reference that identifies the specific occurrence of the problem
assert_result
Results of the assert validation
Expand CIAssertValidatorResult definition...
name
string
Name of the validator (assert)
status
string
Status of the validation (unknown, failed, passed, skipped, errored, cancelled, queued, running)
assert_error
Errors that occurred when attempting assert validation
Expand CIGenericError definition...
type
string
A URI reference that identifies the problem type
title
string
Overview of the error
detail
string
Detail of the error
status
string
The HTTP status code for the problem
instance
string
URI reference that identifies the specific occurrence of the problem
content_result
Results of the content validation
Expand CIContentValidatorResult definition...
name
string
Name of the validator (content)
incremental
boolean
Whether the validation was incremental
status
string
Status of the validation (unknown, failed, passed, skipped, errored, cancelled, queued, running)
content_error
Errors that occurred when attempting content validation
Expand CIGenericError definition...
type
string
A URI reference that identifies the problem type
title
string
Overview of the error
detail
string
Detail of the error
status
string
The HTTP status code for the problem
instance
string
URI reference that identifies the specific occurrence of the problem
lookml_result
Results of the LookML validation
Expand CILookMLValidatorResult definition...
name
string
Name of the validator (lookml)
status
string
Status of the validation (unknown, failed, passed, skipped, errored, cancelled, queued, running)
error_count
integer
Total number of failed LookML validations
lookml_error
Errors that occurred when attempting LookML validation
Expand CIGenericError definition...
type
string
A URI reference that identifies the problem type
title
string
Overview of the error
detail
string
Detail of the error
status
string
The HTTP status code for the problem
instance
string
URI reference that identifies the specific occurrence of the problem
generic_error
Errors that occurred when attempting validation
Expand CIGenericError definition...
type
string
A URI reference that identifies the problem type
title
string
Overview of the error
detail
string
Detail of the error
status
string
The HTTP status code for the problem
instance
string
URI reference that identifies the specific occurrence of the problem
change_request_number
integer
Change request number of the CI run
change_request_url
string
Change request URL of the CI run
change_request_name
string
Change request name of the CI run
change_request_commits_url
string
Change request commits URL of the CI run
git_service_name
string
Git service name of the CI run
git_commit_ref
string
Git commit ref of the CI run
git_branch_name
string
Git branch name of the CI run
git_repository_name
string
Git repository name of the CI run
git_target_branch_name
string
Git target branch name of the CI run
git_status_url
string
Git status URL of the CI run
git_target_url
string
Git target URL of the CI run
created_at
string
Time and date that the CI run was created
started_at
string
Time and date that the CI run was started
finished_at
string
Time and date that the CI run was finished
retries
integer
Number of retries of the CI run
assigned_ci_user_id
integer
ID of the CI user assigned to the CI run
assigned_ci_user_at
string
Time and date that the CI user was assigned to the CI run
crashed_check_count
integer
Number of crashed checks of the CI run
run_url
string
URL of the CI run

201: Created

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

409: Resource Already Exists

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link